* {
    margin: 0;
    padding: 0;
  }


  html, body {
    width: 100%;
  
    margin: 0;
    padding: 0;
  }

  body {
    color: rgb(255, 255, 255);
    font-family: 'Fredoka One', sans-serif;
  }

  section {
    position: relative;
    
  }
  .header{
    z-index: 10;
    position: fixed;
    padding: 1% 1%;
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
  }

  .logojep {
    width: 100%;
    max-width: 350px;
  }

  .cont-incio{
    position: relative;
    width: 100%;
  
    font-size: 30px;
    align-items: center;

  }

  .ci-layers{
    top: 0;
    left: 0;
    width: 100%;
    max-width: 1140px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;

  }

  .ci-layers-recetas{
    top: 0;
    left: 0;
    width: 100%;
    max-width: 1140px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding-top: 10rem;

  }

  .galery{
    top: 0;
    left: 0;
    width: 100%;
    max-width: 1140px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 5rem 0 15rem 0;

  }

  @keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }
  
  @-moz-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }
  
  @-webkit-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }
  
  @-o-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }
  
  @-ms-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
  }

  .titlehome, .subtitle {
    color: #fff;
  }
  
  .titlehome {
    font: 85px/1.2 'Fredoka One', sans-serif;
  }
  
  .subtitle {
    font: 32px/1.2 'Quicksand', sans-serif;
    font-weight: 500;
    margin-bottom: 40px;
  }
  
  .description {
    font: 19px/1.5 'Quicksand', sans-serif;
    font-weight: 500;
    margin-top: 20px;
    color: #192744;
    padding: 4% 3%;
  }

  .description1 {
    font: 14px/1.5 'Quicksand', sans-serif;
    font-weight: 500;
    margin-top: 20px;
    color: #192744;
    padding: 0 3%;
  }

  #Inicio, #Violeta, #Videos, #Info, #Premios {
    background-position: center;
    background-size: cover;
  }
  
  #Inicio, #Videos, #Info  {
    padding: 12% 0 10%;
  }
  
  #Premios, #Violeta {
    padding: 5% 0 5%;
  }
  
  #Inicio {
    background-image: url('../back/backhome_1.jpg');


  }


  #Recetas{
    background-color: #97EA7C;
    padding: 0, 120px;
  }
  
  #Violeta {
    background-image: url('../back/backhome_2.jpg');
  }
  
  #Videos {
    background-image: url('../back/backhome_3.jpg');
  }
  
  #Premios {
    background-image: url('../back/backhome_5_b.jpg');
  }
  
  #Info {
    background-image: url('../back/backrelato1_1.jpg');
  }

  #Glosario {
    background: rgb(255, 249, 244);
    background: -webkit-linear-gradient(rgba(255, 249, 244, 1) 0%, rgba(246, 222, 230, 1) 100%);
    background: -o-linear-gradient(rgba(255, 249, 244, 1) 0%, rgba(246, 222, 230, 1) 100%);
    background: linear-gradient(rgba(255, 249, 244, 1) 0%, rgba(246, 222, 230, 1) 100%);
    z-index: 1;
  }

  .header2 {
    z-index: 3;
    position: absolute;
    padding: 30px 50px 30px 50px;
    display: flex;
    justify-content: space-between;
    width: 94%;
  }

  .layer-col-der-recetas{
    width: 50%;
  }
  .layer-col-iz-recetas{
    width: 100%;
  }

  .layer-home-1 {
    width: 30%;
    text-align: center;
  }
  
  .layer-home-2 {
    width: 70%;
    padding: 0% 1% 2% 5%;
    text-align: left;
  }
  
  .layer-home-3 {
    width: 40%;
    text-align: center;
    position: relative;
    top: 100px;
  }
  
  .layer-home-4 {
    width: 60%;
    padding-left: 100px;
    text-align: left;
    padding: 0% 1% 3% 5%;
  }
  
  .layer-home-5 {
    width: 350px;
    text-align: center;
    position: absolute;
    top: 60%;
    left: 15%;
    z-index: 5;
  }
  
  .layer-home-6 {
    width: 80%;
    position: relative;
    top: -3.5%;
    z-index: 1;
    display: flex;
    padding: 0 10px 5%;
    flex-direction: column;
    align-items: center;
  }

  .layer-home-6 iframe{
    width: 80%;
    height:410px;
  }
  
  .layer-home-7 {
    width: 40%;
    text-align: center;
    position: relative;
    top: 0%;
  }

    
  #Premios {
    position: relative;
    width: 100%;
    font-size: 30px;
  } 

  #Premios .description{
    padding: 0 8%;
    text-align: justify;
  }
  
  #Premios .titlehome{
    padding: 0% 3% 2%;
    margin: auto;
    
  }
  
  #Premios .titlehome b{
    font-size: 55px;
    text-align: center;
  }
  
  .winners img{
    max-width: 100%;
    padding: 0 1px;
    min-width: 50px;
  }
  
  .winners img:hover {
    -webkit-transform:scale(1.3);transform:scale(1.3);
    transition:all .3s ease-in-out;
  }


  .winners{
    padding: 2%;
  
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
    justify-content: space-around;
    align-content: space-between;
    justify-items: stretch;
  
  }



    /* PREMIOS*/

  .relatos a {
    margin-bottom: 15px;
  }
  .recetario {
    margin-top: 40px;
  }
  
  .btn-3d {
    position: relative;
    display: flex;
    align-items: center;
    font-family: 'Fredoka One', sans-serif;
    text-decoration: none;
    font-size: 22px;
    padding: 15px 30px;
    margin-bottom: 30px;
    margin-right: 30px;
    color: #ffffff;
    transition: all 0.08s linear;
    border-radius: 50px;
    width: fit-content;
  }

  .boton {
    position: relative;
    display: flex;
    align-items: center;
    font-family: 'Fredoka One', sans-serif;
    text-decoration: none;
    font-size: 22px;
    padding: 15px 30px;
    margin-bottom: 30px;
    margin-right: 30px;
    color: #ffffff;
    transition: all 0.08s linear;
    border-radius: 50px;
    width: fit-content;
  }
  
  .btn-3d img {
    width: 50px;
  }
  
  .btn-3d p {
    margin-left: 10px;
  }
  
  .btn-3d:active {
    top: 9px;
  }
  
  .btn-3d.red {
    background-color: #FF66FF;
    box-shadow: 0 0 0 1px #FF66FF inset, 0 0 0 2px rgba(255, 255, 255, 0.15) inset, 0 8px 0 1px rgba(0, 0, 0, 0.2), 0 8px 0 0 #E65CE6;
  }
  
  .btn-3d.red:active {
    box-shadow: none;
  }
  
  .btn-3d.blue {
    background-color: #662A93;
    box-shadow: 0 0 0 1px #662A93 inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #55257F;
  }
  
  .btn-3d.blue:active {
    box-shadow: none;
  }
  
  .btn-3d.green {
    background-color: #FDC00F;
    box-shadow: 0 0 0 1px #FDC00F inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #E5A810;
  }
  
  .btn-3d.green:active {
    box-shadow: none;
  }
  
  .btn-3d.green2 {
    background-color: #31C45B;
    box-shadow: 0 0 0 1px #31C45B inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #209E44;
  }
  
  .btn-3d.green2:active {
    box-shadow: none;
  }

  .boton.green2 {
    background-color: #25A287;
    box-shadow: 0 0 0 1px #25A287 inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #003635;
  }
  
  .boton.green2:active {
    box-shadow: none;
  }
  .botonContainer{
    display: flex;
    justify-content: center;
    padding-top: 40px;
  }


  .btn-3d.yellow2 {
    background-color: #f0aa2f;
    box-shadow: 0 0 0 1px #f0aa2f inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #dc5412;
  }
  
  .btn-3d.yellow2:active {
    box-shadow: none;
  }

  .boton.yellow2 {
    background-color: #f0aa2f;
    box-shadow: 0 0 0 1px #f0aa2f inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #2e0c00;
  }
  
  .boton.yellow2:active {
    box-shadow: none;
  }
  
  .btn-3d.purple {
    background-color: #2892C7;
    box-shadow: 0 0 0 1px #2892C7 inset, 0 0 0 2px rgba(255, 255, 255, 0.1) inset, 0 8px 0 1px rgba(0, 0, 0, 0.1), 0 8px 0 0 #268AB2;
  }
  
  .btn-3d.purple:active {
    box-shadow: none;
  }
  
  .enlaces {
    display: flex;
    justify-content: flex-start;
  }
  
  .overflow-auto {
    overflow: auto;
  }

  b {
    font-size: 90px;
    display: block;
    color: #ffffff;
    text-shadow: 1px 1px 0 #2CB1E5, 2px 2px 0 #2CB1E5, 3px 3px 0 #2CB1E5, 4px 4px 0 #2CB1E5, 5px 5px 0 #2CB1E5, 5px 5px 10px rgba(0, 0, 0, 0);
    letter-spacing: 1px;
  }

  .yellow {
    text-shadow: 1px 1px 0 #F2B111, 2px 2px 0 #F2B111, 3px 3px 0 #F2B111, 4px 4px 0 #F2B111, 5px 5px 0 #F2B111, 5px 5px 10px rgba(0, 0, 0, 0);
    text-align: center;
    font-size: 55px;
    margin-bottom: 10px
  }

  .teal {
    text-shadow: 1px 1px 0 #60C7D8, 2px 2px 0 #60C7D8, 3px 3px 0 #60C7D8, 4px 4px 0 #60C7D8, 5px 5px 0 #60C7D8, 5px 5px 10px rgba(0, 0, 0, 0);
  }

  .scrollup {
    max-width: 200px;
    left: 45%;
    position: absolute;
    text-align: center;
    top: 1%;
  }

  .scrolldown {
    max-width: 200px;
    left: 45%;
    position: absolute;
    text-align: center;
    bottom: 1%;
  }

/* Glosario */

#ScrollPane {
  position: relative;
  
}

.header-glosario{
  background-image: url('https://www.jep.gov.co/ninosyninas/layers/glosario1.png');
  background-repeat: no-repeat;
  background-size: contain;
}

.overflow-auto {
  overflow: auto;
}

.header-glosario {
  
  z-index: 3;
}

.texto-glosario {
  font: 24px/1.2 'Quicksand', sans-serif;
  margin: 0 auto;
  max-width: 1000px;
  width: 95%;
  margin: 0px auto;
  padding-top: 140px;
  z-index: 13;
}

.texto-glosario h6 {
  font-size: 42px;
  margin-bottom: auto;
}

.texto-glosario p {
  color: #193E50 !important;
  text-align: justify;
}




  



  @media screen and (min-width: 760px) and (max-width: 1080px){

    .cont-incio .titlehome {
      font: 65px/1.2 'Fredoka One', sans-serif;
    }

    .layer-home-6 iframe{
      width: 68%;
      height: 280px;
    }


  }
  
  @media screen and (min-width: 481px) and (max-width: 759px){
  
    .cont-incio .titlehome {
      font: 55px/1.2 'Fredoka One', sans-serif;
    }
  
    .layer-home-6 iframe{
      width: 75%;
      height: 223px;
    }
  
  }
  
  @media screen and (max-width: 480px){

    .header{
      top: 10px;

    }
    .logojep{
      max-width: 300px;
    }

    #Premios .titlehome b {
      font-size: 40px;
    }

    .ci-layers {

      display: flex;
      flex-direction: column !important;
    }

    .ci-layers-recetas {

      display: flex;
      flex-direction: column-reverse !important;
      padding-top: 50px
    }

    .galery{
      padding-bottom: 50px;
    }
  
    .titlehome {
      font: 40px/1.2 'Fredoka One', sans-serif !important;
      text-align: center;
    }
    .subtitle {
      font: 27px/1.2 'Quicksand', sans-serif !important;
      font-weight: 500;
      margin-bottom: 10px;
      text-align: center;
    }

    .description {
      font: 19px/1.2 'Quicksand', sans-serif !important;
      text-align: justify;
      padding-bottom: 10%!important;
    }


    .layer-home-1 {
      padding-top: 50px;
    } 
    .layer-home-2 {
      width: 90%;
      padding: 0;
      text-align: center;
    } 
.layer-col-der-recetas {
      width: 90%;
      padding: 10% 0;
      text-align: center;
    } 

    .layer-home-3 {
      width: 75%;
      max-height: 500px;
      top:0px;
    } 

    .layer-home-4 {
      width: 90%;
      padding: 10% ;
      text-align: center;
    } 

    .layer-home-6 {
      padding: 0 0 5%;
      width: 100%;
      top: 100px !important;
    }

    .layer-home-5 {
      width: 320px;
      top: 60%;
      left: 5%;
    }

    .layer-home-7 {
      width: 100%;
    }

    .layer-home-6 iframe{
      width: 95%;
      height: 250px;
      padding-top: 10px;
    }

    .layer-home-7 {
      padding-top: 70px;
    }
 

    b {
      font-size: 40px;
      display: block;
      color: #ffffff;
      text-shadow: 1px 1px 0 #2CB1E5, 2px 2px 0 #2CB1E5, 3px 3px 0 #2CB1E5, 4px 4px 0 #2CB1E5, 5px 5px 0 #2CB1E5, 5px 5px 10px rgba(0, 0, 0, 0);
      letter-spacing: 1px;
    }

    .winners{
      padding: 2%;
    
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 20px;
      justify-content: space-around;
      align-content: space-between;
      justify-items: stretch;
    
    }


    #Videos {
      background-image: url('../back/backhome_3_mbl.jpg');
      padding: 50px 0 350px;
      background-size: cover;
    }



    .btn-3d {
      position: relative;
      display: flex;
      align-items: center;
      padding: 10px 10px;
      margin-bottom: 20px;
      margin-right: 10px;
      color: #ffffff;
      transition: all 0.08s linear;
      border-radius: 50px;
      flex-direction: column;
      justify-content: center;
    }
    .relatos .btn-3d{
      max-width: 320px;
    }

    .botonContainer2{
      display: flex;
      justify-content: center;
      padding-top: 40px;
    }

    #verTerminos{
      margin-left: 0 !important;
    }

    .boton {
      position: relative;
      display: flex;
      align-items: center;
      padding: 10px 30px;
      margin-bottom: 20px;
      margin-right: 10px;
      color: #ffffff;
      transition: all 0.08s linear;
      border-radius: 50px;
      flex-direction: column;
      justify-content: center;
    }
    .relatos .boton{
      max-width: 320px;
    }
    
    .layer-home-4{
      padding: 50px 0;
    }

    .scrolldown {
      left: 25%;
 
    }
    .scrolldown{
      display: none;
    }
    .scrollup{
      display: none;
    }
      
    .btn-3d.green2 {
      margin: 0 auto;
    }

    .boton.yellow {
      margin: 0 auto;
    }
    #Violeta .ci-layers{
      flex-direction:column-reverse !important ;

    }
    #Premios, #Violeta {
      padding: 5% 0 0% !important;
    }
    .btn-3d {
      width: 100%;
    }
    .texto-glosario {
      /* font: 24px/1.2 'Quicksand', sans-serif; */
      margin: 0 auto;
      max-width: 420px;
    }
    .header2{
      max-width: 420px !important;
    }
    .logojep{
      max-width: 40%;
    }

    .cerrar {
      top: 0.2rem !important;
      right: 0.2rem !important;
    }
  }

  /*Galeria*/

  * {
    box-sizing: border-box;
  }

  .carrusel-wrapper {
    position: relative;
  }

  .carrusel-container {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    gap: 2rem;
    padding-bottom: 10px;
    scroll-snap-stop: always;
    scrollbar-width: none; /* Firefox */

  }
  .carrusel-container::-webkit-scrollbar {
    display: none; /* Chrome, Safari y Edge */
  }

  .carrusel-item {
    flex: 0 0 calc(33.333% - 2rem);
    scroll-snap-align: start;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    border: 5px solid white;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  }

  .carrusel-item img {
    width: 100%;
    height: auto;
    display: block;
  }

  @media (max-width: 900px) {
    .carrusel-item {
      flex: 0 0 calc(50% - 1rem);
    }
  }

  @media (max-width: 600px) {
    .carrusel-item {
      flex: 0 0 100%;
    }
  }

  /* Botones de navegación */
  .nav-button {
    position: absolute;
    width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 20px;
    border-radius: 50%;
    z-index: 1;
  }

  .nav-button:hover {
    background: rgba(0, 0, 0, 0.8);
  }

  .nav-left {
    left: 10px;
  }

  .nav-right {
    right: 10px;
  }

  /* Dots */
  .dots-container {
    text-align: center;
    margin-top: 1rem;
  }
  .dots {
    text-align: center;
    margin-top: 10px;
  }

  .dot {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin: 0 5px;
    background-color: #bbb;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s;
  }

  .dot.active {
    background-color: #333;
  }

  /*opt-in*/
  .consentimiento {
    margin: 1.5rem 0 1.5rem 0;
    font-size: 0.875rem;
    color: #333;
  }

  .consentimiento a {
    color: #25A287;
  text-decoration: none;
  font-weight: bold;
  }

  .consentimiento a:hover {
    text-decoration: underline;
  }
  
  .consentimiento input[type="checkbox"] {
    appearance: none; 
    width: 24px;
    height: 24px;
    border: 2px solid #25A287;
    background-color: #fff;
    box-shadow: 
  
  2px 0 0 2px rgba(255, 255, 255, 0.1) inset,
  4px 8px 0 1px rgba(0, 0, 0, 0.1),
  4px 8px 0 0 #003635;

    border-radius: 3px;
    margin-right: 8px;
    position: relative;
    cursor: pointer;
  }

  .consentimiento input[type="checkbox"]:checked::before {
    content: "✓";
    color: #25A287;
    font-size: 18px;
    font-weight: bold;
    position: absolute;
    top: 0px;
    left: 3px;
    display: block;
    pointer-events: none;
  }

  .boton a{
    color: white;
    text-decoration: none;
  }
  .boton a.disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
  }

  .popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
    animation: fadeIn .5s ease;
  }

  #verTerminos{
    margin-left: 35px;
  }

  
  .popup-content {
    background: #DEFED5;
    padding: 6rem;
    margin: 2rem;
    border-radius: 12px;
    max-width: 90%;
    width: 1200px;
    max-height: 80vh; /* Limita la altura del popup */
    overflow-y: auto;  /* Activa scroll si el contenido sobrepasa */
    box-sizing: border-box;
    position: relative;
    color:#003635;
    border: 12px solid #fff;
    animation: fadeIn .2s ease;
  }
  
  .popup-content h2 {
    margin: 0 0 10px 0;
  }
  
  .popup-content p, ul, li {
    font-family: 'Quicksand', sans-serif;;
    font-size: 1rem;
    line-height: 2;
    font-weight: 400;
  }

  .image-popup {
    background-color: #fff;
    padding: 20px;
    border-radius: 12px;
    max-width: 90%;
    max-height: 90%;
    text-align: center;
    overflow: auto;
    position: relative;
    animation: .2s ease;
  }
  
  .image-popup img {
    max-width: 100%;
    max-height: 70vh;
    margin-bottom: 10px;
    border-radius: 8px;
  }
  
  .image-popup p {
    margin: 0;
    color: #333;
    font-size: 16px;
  }
  
  .cerrar {
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    font-size: 24px;
    cursor: pointer;
  }
  

  /*popup*/
 /* POPUP cerrado por defecto */
/* .popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.6);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}


.popup.mostrar {
  display: flex;
}


.popup-contenido {
  background-color: #fff;
  padding: 1rem;
  border-radius: 12px;
  max-width: 90%;
  max-height: 90vh;
  overflow-y: auto;
  position: relative;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
  width: 600px;
}


.cerrar {
  position: absolute;
  top: 10px;
  right: 16px;
  font-size: 24px;
  cursor: pointer;
  font-weight: bold;
}


@media (max-width: 600px) {
  .popup-contenido {
    width: 95%;
    height: 90vh;
    padding: 1rem;
  }
} */


  
  
